> ## Documentation Index
> Fetch the complete documentation index at: https://docs.parceltracer.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create External Area

> Create an external area from coordinates. Used when no internal area matches.



## OpenAPI

````yaml /api-reference/schema.yaml post /areas/create/
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers:
  - url: https://api.parceltracer.com/v1/external/
    description: Parcel Tracer api endpoint
security: []
paths:
  /areas/create/:
    post:
      tags:
        - Areas
      summary: Create External Area
      description: >-
        Create an external area from coordinates. Used when no internal area
        matches.
      operationId: create_external_area
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateExternalArea'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/CreateExternalArea'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/CreateExternalArea'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Area'
          description: ''
      security:
        - MerchantAPIKey: []
components:
  schemas:
    CreateExternalArea:
      type: object
      properties:
        lat:
          type: number
          format: double
        lng:
          type: number
          format: double
        name:
          type: string
          maxLength: 200
      required:
        - lat
        - lng
        - name
    Area:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name_ar:
          type: string
          maxLength: 200
        name_en:
          type: string
          maxLength: 200
        district:
          type: string
          maxLength: 50
        lat:
          type: string
          format: decimal
          pattern: ^-?\d{0,3}(?:\.\d{0,15})?$
          nullable: true
        long:
          type: string
          format: decimal
          pattern: ^-?\d{0,3}(?:\.\d{0,15})?$
          nullable: true
        maps_link:
          type: string
          nullable: true
          maxLength: 200
        code:
          type: string
          readOnly: true
        is_external:
          type: boolean
        tags:
          type: string
          readOnly: true
        area_group:
          allOf:
            - $ref: '#/components/schemas/AreaGroupReference'
          readOnly: true
          nullable: true
      required:
        - area_group
        - code
        - id
        - tags
    AreaGroupReference:
      type: object
      description: Minimal serializer for area_group reference in Area.
      properties:
        id:
          type: integer
        name:
          type: string
      required:
        - id
        - name
  securitySchemes:
    MerchantAPIKey:
      type: apiKey
      in: header
      name: X-Api-Key

````